Darian
Lanx

    content@openprojects.net

2001-04-25
0.01.01
KBuildSycoca
8

# Opis

Odbudowuje podręczną bazę konfiguracji systemowej.

## Wywołanie

    kbuildsycoca  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Opis

Program `kbuildsyscoca`, stanowi część zbioru narzędzi systemowych środowiska &kde;. Zapewnia on prawidłową pracę środowiska &kde; poprzez odczyt wszystkich plików `.desktop`, `.directory`, `.kimgio` oraz `.protocol` i zapisanie ich zawartości w jednej binarnej bazie danych konfiguracyjnych.

Środowisko &kde; odczytuje tą bazę danych w trakcie swojej pracy, zapewniając uruchamianym programom odpowiednie informacje konfiguracyjne.

Polecenie to jest częścią programu ksyscoca tzn. Pamięci podręczniej systemowych danych konfiguracyjnych &kde;. (&kde; System Configuration Cache).

## Parametry

`--nosignal`

  Wyłącza wysyłanie sygnału do innych programów

`--incremental`

  Aktualizacja przyrostowa

`--help`

  Wyświetla stronę pomocy o dostępnych opcjach

`--help-qt`

  Wyświetla opcje związane z biblioteką Qt

`--help-kde`

  Wyświetla opcje związane z KDE

`--help-all`

  Wyświetla wszystkie dostępne opcje

`--author`

  Wyświetla informację o autorze programu

`--version`

  Wyświetla informacje o wersji programu

`--license`

  Wyświetla licencję programu

## Wykorzystanie

Typowym sposobem uruchamiania tego programu jest wpisanie w linii poleceń ``kbuildsyscoca`` bez żadnych dodatkowych parametrów.

## Pliki

`/tmp/kde-$USER/ksyscoca`

  ...

## Zmienne środowiskowe

$`KDEDIRS`

  Zmienna określa katalogi, w których zainstalowano środowisko KDE.

## Zobacz także

ksycoca(3), kblah(4), knogga(6)

## Błędy

W chwili pisania tej dokumentacji w programie nie ma żadnych znanych błędów.